org.h2.dev.ftp.server

## Class FtpEvent

- java.lang.Object
- - org.h2.dev.ftp.server.FtpEvent

    public class FtpEvent
    extends java.lang.Object

Describes an FTP event. This class is used by the FtpEventListener.

### Method Summary

Methods
`java.lang.String` `getCommand()` Get the FTP command.
`FtpControl` `getControl()` Get the FTP control object.
`java.lang.String` `getParam()` Get the parameter of the FTP command (if any).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCommand

    public java.lang.String getCommand()

Get the FTP command. Example: RETR

Returns:
  the command

#### getControl

    public FtpControl getControl()

Get the FTP control object.

Returns:
  the control object

#### getParam

    public java.lang.String getParam()

Get the parameter of the FTP command (if any).

Returns:
  the parameter